(function(){var B7x=function(){if(this.H2b){this.H2b();return;}var ub=B7x.prototype;ub.H2b=function(){this.shH="";this.hDF="";};ub.setServerURL=function(zW){
this.shH=zW;};ub.setServerIP=function(eLq){this.hDF=eLq;};ub.createSecureOutputStream=function(XH,fC){var wub=new ByteArray();var Ve=0;var LDg;
for(LDg in fC){Ve++;}wub.writeInt(Ve);for(LDg in fC){var BvD=fC[LDg];this.O3(wub,LDg);this.O3(wub,BvD);}var fbo=new ByteArray();var n5M=new this.heF("forcs@#$",fbo);
n5M.write(XH,0,XH.length);wub.writeBytes(fbo,0,fbo.length);wub.position=0;return wub;};ub.createSecureInputStream=function(XH,fC){var size=XH.readInt();
for(var i=0; i<size; i++){var LDg=this.Qf(XH);var BvD=this.Qf(XH);fC[LDg]=BvD;}var wub=new ByteArray();var C_F=new this.reF("forcs@#$",XH);var LS3=new ByteArray();
C_F.ld(LS3,0,XH.length-XH.position);wub.writeBytes(LS3,0,LS3.length);wub.position=0;return wub;};ub.O3=function(XH,Ag){var i;var v8g=Ag.length;
XH.writeInt(v8g);var v;for(i=0; i<v8g; i++){v=Ag.charCodeAt(i);XH.writeByte((v>>>8)&255);XH.writeByte((v>>>0)&255);}};ub.Qf=function(XH){var v8g;
var w4q,Xlq;v8g=XH.readInt();if(v8g==-1){return "<NULL>";}else{if(v8g<-1){throw new Error("A malformed string has been read in a data input stream.");
}}var Ag="";var position=XH.position;for(var i=0; i<v8g; i++){w4q=XH[position+i*2];Xlq=XH[position+i*2+1];if((w4q|Xlq)<0){throw new Error("A malformed string has been read in a data input stream.");
}Ag+=String.fromCharCode((w4q<<8)+(Xlq<<0));}XH.position+=v8g*2;return Ag;};var reF=function(Oi,dCf){if(this.l2o){this.l2o(Oi,dCf);return;}var iyb=reF.prototype;
iyb.l2o=function(Oi,dCf){this.OYX=Oi;this.ax=0;this.bx=0;this.cx=0;this.dx=0;this.si=0;this.Pg=0;this.GhF=0;this.jhb=0;this.i=0;this.zjb=0;this.YQb=new Array();
this.F3z=0;this.x3z=0;this.LuD=0;this.E9=dCf;this.NRb=new ByteArray();this.NRb.setLength(17);var H8b=new ByteArray();H8b.writeMultiByte(Oi,"iso-8859-1");
this.NRb.writeBytes(H8b,0,H8b.length>16?16:H8b.length);this.NRb.set(16,0);this.clear();};iyb.clear=function(){this.ax=0;this.bx=0;this.cx=0;this.dx=0;
this.si=0;this.Pg=0;this.GhF=0;this.jhb=0;this.i=0;this.zjb=0;this.F3z=0;this.x3z=0;this.LuD=0;for(var i=0; i<8; i++){this.YQb[i]=0;}};iyb.GAq=function(){
var c=this.E9.readByte();if(c==-1){return -1;}this.Elz();this.F3z=this.zjb>>>8;this.x3z=this.zjb&255;c=c^(this.F3z^this.x3z);for(this.LuD=0; this.LuD<=15; this.LuD++){
this.NRb.set(this.LuD,this.NRb.get(this.LuD)^c);}return c;};iyb.ld=function(b,off,tq,WYD){if(b===undefined){b=null;}if(off===undefined){off=-1;
}if(tq===undefined){tq=-1;}if(WYD===undefined){WYD=-1;}if((b==null)||this.E9==null){Irb("Null point exception");return -1;}if(tq<1){return 0;
}this.E9.readBytes(b,off,tq);var rt=tq;if(rt<=0){return rt;}var c=0;var i=0;for(i=0; i<rt; i++){this.Elz();this.F3z=this.zjb>>>8;this.x3z=this.zjb&255;
c=b.get(i+off);c=c^(this.F3z^this.x3z);for(var j=0; j<16; j++){this.NRb.set(j,this.NRb.get(j)^c);}b.set(i+off,c);}return rt;};iyb.yeb=function(){
return 0;};iyb.moe=function(){this.dx=this.GhF+this.i;this.ax=this.YQb[this.i];this.cx=346;this.bx=20021;this.Pg=this.ax;this.ax=this.si;this.si=this.Pg;
this.Pg=this.ax;this.ax=this.dx;this.dx=this.Pg;this.ax=this.ax*this.bx&65535;this.Pg=this.ax;this.ax=this.cx;this.cx=this.Pg;if(this.ax!=0){
this.ax=(this.ax*this.si)&65535;this.cx=(this.ax+this.cx)&65535;}this.Pg=this.ax;this.ax=this.si;this.si=this.Pg;this.ax=(this.ax*this.bx)&65535;
this.dx=(this.cx+this.dx)&65535;this.ax=this.ax+1;this.GhF=this.dx;this.YQb[this.i]=this.ax;this.jhb=this.ax^this.dx;this.i=this.i+1;};iyb.Elz=function(){
this.YQb[0]=(this.NRb.get(0)*256)+this.NRb.get(1);this.moe();this.zjb=this.jhb;this.YQb[1]=this.YQb[0]^((this.NRb.get(2)*256)+this.NRb.get(3));
this.moe();this.zjb=this.zjb^this.jhb;this.YQb[2]=this.YQb[1]^((this.NRb.get(4)*256)+this.NRb.get(5));this.moe();this.zjb=this.zjb^this.jhb;this.YQb[3]=this.YQb[2]^((this.NRb.get(6)*256)+this.NRb.get(7));
this.moe();this.zjb=this.zjb^this.jhb;this.YQb[4]=this.YQb[3]^((this.NRb.get(8)*256)+this.NRb.get(9));this.moe();this.zjb=this.zjb^this.jhb;this.YQb[5]=this.YQb[4]^((this.NRb.get(10)*256)+this.NRb.get(11));
this.moe();this.zjb=this.zjb^this.jhb;this.YQb[6]=this.YQb[5]^((this.NRb.get(12)*256)+this.NRb.get(13));this.moe();this.zjb=this.zjb^this.jhb;
this.YQb[7]=this.YQb[6]^((this.NRb.get(14)*256)+this.NRb.get(15));this.moe();this.zjb=this.zjb^this.jhb;this.i=0;};this.l2o(Oi,dCf);};ub.reF=reF;
var heF=function(Oi,ZUr){if(this.O2o){this.O2o(Oi,ZUr);return;}var iyb=heF.prototype;iyb.O2o=function(Oi,ZUr){this.ax=0;this.bx=0;this.cx=0;this.dx=0;
this.si=0;this.Pg=0;this.GhF=0;this.jhb=0;this.i=0;this.zjb=0;this.YQb=new Array();this.F3z=0;this.x3z=0;this.LuD=0;this.Ns=ZUr;this.YQb.length=8;
this.NRb=new ByteArray();this.NRb.setLength(17);var H8b=new ByteArray();H8b.writeMultiByte(Oi,"iso-8859-1");this.NRb.writeBytes(H8b,0,H8b.length>16?16:H8b.length);
this.NRb.set(16,0);this.clear();};iyb.clear=function(){this.ax=0;this.bx=0;this.cx=0;this.dx=0;this.si=0;this.Pg=0;this.GhF=0;this.jhb=0;this.i=0;
this.zjb=0;this.F3z=0;this.x3z=0;this.LuD=0;for(var i=0; i<8; i++){this.YQb[i]=0;}};iyb.A3b=function(b){this.Elz();this.F3z=this.zjb>>>8;this.x3z=this.zjb&255;
for(this.LuD=0; this.LuD<=15; this.LuD++){this.NRb.set(this.LuD,this.NRb.get(this.LuD)^b);}b=b^(this.F3z^this.x3z);this.Ns.writeByte(b);};iyb.write=function(b,off,tq){
if(b===undefined){b=null;}if(off===undefined){off=-1;}if(tq===undefined){tq=-1;}if((b==null)||this.Ns==null){Irb("Null point exception");return;
}if(tq<1){return;}var c=0;var dKz=new ByteArray();dKz.setLength(tq);for(var i=0; i<tq; i++){this.Elz();this.F3z=this.zjb>>>8;this.x3z=this.zjb&255;
c=b.get(i+off);for(var j=0; j<16; j++){this.NRb.set(j,this.NRb.get(j)^c);}c=c^(this.F3z^this.x3z);dKz.set(i,c);}this.Ns.writeBytes(dKz,0,tq);
dKz=null;};iyb.flush=function(){};iyb.close=function(){};iyb.moe=function(){this.dx=this.GhF+this.i;this.ax=this.YQb[this.i];this.cx=346;this.bx=20021;
this.Pg=this.ax;this.ax=this.si;this.si=this.Pg;this.Pg=this.ax;this.ax=this.dx;this.dx=this.Pg;this.ax=this.ax*this.bx&65535;this.Pg=this.ax;
this.ax=this.cx;this.cx=this.Pg;if(this.ax!=0){this.ax=(this.ax*this.si)&65535;this.cx=(this.ax+this.cx)&65535;}this.Pg=this.ax;this.ax=this.si;
this.si=this.Pg;this.ax=(this.ax*this.bx)&65535;this.dx=(this.cx+this.dx)&65535;this.ax=this.ax+1;this.GhF=this.dx;this.YQb[this.i]=this.ax;this.jhb=this.ax^this.dx;
this.i=this.i+1;};iyb.Elz=function(){this.YQb[0]=(this.NRb.get(0)*256)+this.NRb.get(1);this.moe();this.zjb=this.jhb;this.YQb[1]=this.YQb[0]^((this.NRb.get(2)*256)+this.NRb.get(3));
this.moe();this.zjb=this.zjb^this.jhb;this.YQb[2]=this.YQb[1]^((this.NRb.get(4)*256)+this.NRb.get(5));this.moe();this.zjb=this.zjb^this.jhb;this.YQb[3]=this.YQb[2]^((this.NRb.get(6)*256)+this.NRb.get(7));
this.moe();this.zjb=this.zjb^this.jhb;this.YQb[4]=this.YQb[3]^((this.NRb.get(8)*256)+this.NRb.get(9));this.moe();this.zjb=this.zjb^this.jhb;this.YQb[5]=this.YQb[4]^((this.NRb.get(10)*256)+this.NRb.get(11));
this.moe();this.zjb=this.zjb^this.jhb;this.YQb[6]=this.YQb[5]^((this.NRb.get(12)*256)+this.NRb.get(13));this.moe();this.zjb=this.zjb^this.jhb;
this.YQb[7]=this.YQb[6]^((this.NRb.get(14)*256)+this.NRb.get(15));this.moe();this.zjb=this.zjb^this.jhb;this.i=0;};this.O2o(Oi,ZUr);};ub.heF=heF;
this.H2b();};return B7x;})();
